Subject: bug#44070: 28.0.50; Minibuffer display "jumps" upon minor edit

From: Stefan Monnier <[email-masked]>
Date: Sun, 01 Nov 2020 09:12:11 -0500

>>> >> How 'bout the patch below, then?
>>> > LGTM, modulo the NEWS and ELisp manual updates.
>>> OK, thanks.  Done and pushed.
>> Actually, I see now that your changes only test that a window is a
>> mini-window, but not that it displays a minibuffer.  Did I miss
>> something?  If not, I'd prefer to add the conditions for displaying a
>> minibuffer, okay?
> How would I do that?

Also, I'm not sure that's what we want to do: as I argued in my previous
message, this change is mostly meant to better fit the behavior of
resize_mini_window, and that behavior applies to all mini-windows,
regardless if they're used for a minibuffer or something else.

I suggest we keep the code as is for now, and we'll consider what to do
*if* someone encounters a regression (which, for all we know, could
also affect the minibuffer case).

        Stefan